Last Comment Bug 871536 - (CVE-2012-1964) Mitigate clickjacking of about:certerror
: (CVE-2012-1964) Mitigate clickjacking of about:certerror
Status: RESOLVED FIXED
[sg:moderate]
:
Product: SeaMonkey
Classification: Client Software
Component: Security (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.21
Assigned To: Philip Chee
:
Mentors:
data:text/html,<iframe width="700" he...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 07:02 PDT by Philip Chee
Modified: 2013-06-24 11:21 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
affected
fixed
fixed
fixed


Attachments
Proposed fix. (1.44 KB, patch)
2013-05-13 07:07 PDT, Philip Chee
neil: review+
bugspam.Callek: approval‑comm‑aurora+
bugspam.Callek: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Philip Chee 2013-05-13 07:02:20 PDT
From Bug 633691:

> This patch hides the ability to add the override if the certificate error 
> occurs in a frame.
> 
> Users can still right click on the page and use the context menu "This Frame -> 
> Show Only This Frame" if they really need to override the certificate error. 
> This also gives users a better chance to see that the domains are different.
Comment 1 Philip Chee 2013-05-13 07:07:15 PDT
Created attachment 748803 [details] [diff] [review]
Proposed fix.

Straight port of Bug 633691

Test:
data:text/html,<iframe width="700" height="700" src="https://access.techsmith.com"></iframe>
Comment 2 neil@parkwaycc.co.uk 2013-05-13 07:59:33 PDT
Comment on attachment 748803 [details] [diff] [review]
Proposed fix.

>+        // or if thecerterror is in a frame (bug 633691).
Nit: spaces around cert
Comment 3 Philip Chee 2013-05-31 11:49:55 PDT
Pushed: http://hg.mozilla.org/comm-central/rev/e0d7a3d65d18
Comment 4 Philip Chee 2013-06-21 07:28:35 PDT
Comment on attachment 748803 [details] [diff] [review]
Proposed fix.

[Approval Request Comment]
Regression caused by (bug #): N/A

User impact if declined: Click-jacking attack vector on the about:certerror page.

Testing completed (on m-c, etc.): Fix Landed on Version: Firefox 11

Risk to taking this patch (and alternatives if risky): no risk anticipated

String or UUID changes made by this patch: none
Comment 5 Justin Wood (:Callek) (Away until Aug 29) 2013-06-22 13:08:20 PDT
Dan, Al,

This was missed on our part from http://www.mozilla.org/security/announce/2012/mfsa2012-54.html :(

So we should update that mfsa for seamonkey.

Will be out in our 2.19 release (due out July 2)
Comment 7 Al Billings [:abillings] 2013-06-24 11:18:42 PDT
(In reply to Justin Wood (:Callek) from comment #5)
> Dan, Al,
> 
> This was missed on our part from
> http://www.mozilla.org/security/announce/2012/mfsa2012-54.html :(
> 
> So we should update that mfsa for seamonkey.
> 
> Will be out in our 2.19 release (due out July 2)

So it didn't go out in SeaMonkey 2.10?
Comment 8 Justin Wood (:Callek) (Away until Aug 29) 2013-06-24 11:21:46 PDT
(In reply to Al Billings [:abillings] from comment #7)
> (In reply to Justin Wood (:Callek) from comment #5)
> > Dan, Al,
> > 
> > This was missed on our part from
> > http://www.mozilla.org/security/announce/2012/mfsa2012-54.html :(
> > 
> > So we should update that mfsa for seamonkey.
> > 
> > Will be out in our 2.19 release (due out July 2)
> 
> So it didn't go out in SeaMonkey 2.10?

Not as far as I can tell

Note You need to log in before you can comment on or make changes to this bug.